Browse Source

Bump rubocop from 0.79.0 to 0.82.0 (#13677)

* Bump rubocop from 0.79.0 to 0.82.0

Bumps [rubocop](https://github.com/rubocop-hq/rubocop) from 0.79.0 to 0.82.0.
- [Release notes](https://github.com/rubocop-hq/rubocop/releases)
- [Changelog](https://github.com/rubocop-hq/rubocop/blob/master/CHANGELOG.md)
- [Commits](https://github.com/rubocop-hq/rubocop/compare/v0.79.0...v0.82.0)

Signed-off-by: dependabot-preview[bot] <support@dependabot.com>

* Update .codeclimate.yml

Co-authored-by: dependabot-preview[bot] <27856297+dependabot-preview[bot]@users.noreply.github.com>
Co-authored-by: Eugen Rochko <eugen@zeonfederated.com>
dependabot-preview[bot] 3 months ago
parent
commit
043255a45e
No account linked to committer's email address
3 changed files with 8 additions and 6 deletions
  1. 1
    1
      .codeclimate.yml
  2. 1
    1
      Gemfile
  3. 6
    4
      Gemfile.lock

+ 1
- 1
.codeclimate.yml View File

@@ -30,7 +30,7 @@ plugins:
30 30
     channel: eslint-6
31 31
   rubocop:
32 32
     enabled: true
33
-    channel: rubocop-0-76
33
+    channel: rubocop-0-82
34 34
   sass-lint:
35 35
     enabled: true
36 36
 exclude_patterns:

+ 1
- 1
Gemfile View File

@@ -139,7 +139,7 @@ group :development do
139 139
   gem 'letter_opener', '~> 1.7'
140 140
   gem 'letter_opener_web', '~> 1.4'
141 141
   gem 'memory_profiler'
142
-  gem 'rubocop', '~> 0.79', require: false
142
+  gem 'rubocop', '~> 0.82', require: false
143 143
   gem 'rubocop-rails', '~> 2.5', require: false
144 144
   gem 'brakeman', '~> 4.8', require: false
145 145
   gem 'bundler-audit', '~> 0.6', require: false

+ 6
- 4
Gemfile.lock View File

@@ -515,6 +515,7 @@ GEM
515 515
     responders (3.0.0)
516 516
       actionpack (>= 5.0)
517 517
       railties (>= 5.0)
518
+    rexml (3.2.4)
518 519
     rotp (2.1.2)
519 520
     rpam2 (4.0.2)
520 521
     rqrcode (1.1.2)
@@ -543,13 +544,14 @@ GEM
543 544
     rspec-support (3.9.3)
544 545
     rspec_junit_formatter (0.4.1)
545 546
       rspec-core (>= 2, < 4, != 2.12.0)
546
-    rubocop (0.79.0)
547
+    rubocop (0.82.0)
547 548
       jaro_winkler (~> 1.5.1)
548 549
       parallel (~> 1.10)
549 550
       parser (>= 2.7.0.1)
550 551
       rainbow (>= 2.2.2, < 4.0)
552
+      rexml
551 553
       ruby-progressbar (~> 1.7)
552
-      unicode-display_width (>= 1.4.0, < 1.7)
554
+      unicode-display_width (>= 1.4.0, < 2.0)
553 555
     rubocop-rails (2.5.2)
554 556
       activesupport
555 557
       rack (>= 1.1)
@@ -640,7 +642,7 @@ GEM
640 642
     unf (0.1.4)
641 643
       unf_ext
642 644
     unf_ext (0.0.7.7)
643
-    unicode-display_width (1.6.1)
645
+    unicode-display_width (1.7.0)
644 646
     uniform_notifier (1.13.0)
645 647
     warden (1.2.8)
646 648
       rack (>= 2.0.6)
@@ -768,7 +770,7 @@ DEPENDENCIES
768 770
   rspec-rails (~> 4.0)
769 771
   rspec-sidekiq (~> 3.0)
770 772
   rspec_junit_formatter (~> 0.4)
771
-  rubocop (~> 0.79)
773
+  rubocop (~> 0.82)
772 774
   rubocop-rails (~> 2.5)
773 775
   ruby-progressbar (~> 1.10)
774 776
   sanitize (~> 5.1)

Loading…
Cancel
Save